ghc-9.6.3: The GHC API

Safe Haskell | Safe-Inferred
Language | Haskell2010

GHC.CmmToAsm.PIC

# Documentation

cmmMakeDynamicReference :: CmmMakeDynamicReferenceM m => NCGConfig -> ReferenceKind -> CLabel -> m CmmExpr Source #

class Monad m => CmmMakeDynamicReferenceM m where Source #

Methods

addImport :: CLabel -> m () Source #

#### Instances

Instances details

CmmMakeDynamicReferenceM NatM Source # |
Instance details Defined in GHC.CmmToAsm.PIC Methods addImport :: CLabel -> NatM () Source #

data ReferenceKind Source #

Constructors

DataReference |
CallReference |
JumpReference |

#### Instances

Instances details

Eq ReferenceKind Source # |
Instance details Defined in GHC.CmmToAsm.PIC Methods (==) :: ReferenceKind -> ReferenceKind -> Bool # (/=) :: ReferenceKind -> ReferenceKind -> Bool #

needImportedSymbols :: NCGConfig -> Bool Source #

pprImportedSymbol :: NCGConfig -> CLabel -> HDoc Source #

pprGotDeclaration :: NCGConfig -> HDoc Source #

initializePicBase_ppc :: Arch -> OS -> Reg -> [NatCmmDecl RawCmmStatics Instr] -> NatM [NatCmmDecl RawCmmStatics Instr] Source #

initializePicBase_x86 :: Arch -> OS -> Reg -> [NatCmmDecl (Alignment, RawCmmStatics) Instr] -> NatM [NatCmmDecl (Alignment, RawCmmStatics) Instr] Source #